Bug 1847051 - JS ERROR: TypeError: area is null
Summary: JS ERROR: TypeError: area is null
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-shell
Version: 8.3
Hardware: x86_64
OS: All
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-15 14:15 UTC by Martin Krajnak
Modified: 2020-11-04 01:37 UTC (History)
2 users (show)

Fixed In Version: gnome-shell-3.32.2-19.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:35:45 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
overview (144.89 KB, image/png)
2020-06-15 14:15 UTC, Martin Krajnak
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:36:01 UTC

Description Martin Krajnak 2020-06-15 14:15:59 UTC
Created attachment 1697449 [details]
overview

Description of problem:
I am getting folowing errors when triggering the gnome-shell overview:


Jun 15 14:41:09 localhost.localdomain gnome-shell[4127]: JS ERROR: TypeError: area is null
                                                         padArea@resource:///org/gnome/shell/ui/workspace.js:1046:9
                                                         _updateWindowPositions@resource:///org/gnome/shell/ui/workspace.js:1282:20
                                                         _realRecalculateWindowPositions@resource:///org/gnome/shell/ui/workspace.js:1259:9
                                                         _recalculateWindowPositions/this._positionWindowsId<@resource:///org/gnome/shell/ui/workspace.js:1234:13


How reproducible:
gnome-shell-3.32.2-18.el8.x86_64
mutter-3.32.2-41.el8.x86_64

Steps to Reproduce:
1.login to session
2.press super

Actual results:
JS errors and cropped windows that can be seen in the attached screenshot.

Expected results:
no errors and properly resized windows

Additional info:
halfline told me to mention bug 1715845

Comment 4 Martin Krajnak 2020-06-16 08:54:12 UTC
Thanks for the quick fix Florian, no more defects and errors with gnome-shell-3.32.2-19.el8.x86_64.

Comment 7 errata-xmlrpc 2020-11-04 01:35:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.